import type { _NSData } from "../Foundation/NSData.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSURL } from "../Foundation/NSURL.js";
export declare class _BEWebAppManifest extends _NSObject {
    static alloc(): _BEWebAppManifest;
    static new(): _BEWebAppManifest;
    init(): _BEWebAppManifest;
    /** Returns nil if manifestURL is invalid or jsonData cannot be parsed. */
    initWithJSONData$manifestURL$(jsonData: _NSData, manifestURL: _NSURL): _BEWebAppManifest | null;
    jsonData(): _NSData;
    manifestURL(): _NSURL;
}
